
Foreman - Feature #1646

Add feature to clone provisioning templates

05/22/2012 01:34 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Templates   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1559

  

Description

Related issues:

Related to Foreman - Feature #3103: Read only provisioning/config templates f... Closed 09/17/2013

Related to Foreman - Tracker #6631: Provisioning Template Improvements New 07/16/2014

Related to Foreman - Feature #2297: Ability for admins to lock certain templa... Resolved 03/10/2013

Associated revisions

Revision 4a28771d - 07/17/2014 10:05 AM - Stephen Benjamin

fixes #1646, #3103 - enable cloning and locking of templates

History

#1 - 05/22/2012 01:36 PM - Brian Gupta

Currently foreman supports loading a template from a file. Perhaps the answer is to support saving a template to a file.

#2 - 10/31/2012 03:12 PM - Joshua Hoblitt

A clone method for both provisioning templates and partition tables would be much appreciated.

#3 - 04/24/2013 05:10 PM - Joshua Hoblitt

I just found myself wishing for this feature and had forgotten that there was already an issue open on it. :)

#4 - 09/17/2013 09:44 AM - Dominic Cleal

- Related to Feature #3103: Read only provisioning/config templates for plugins added

#5 - 09/17/2013 09:44 AM - Dominic Cleal

- Category changed from Unattended installations to Templates

#6 - 09/17/2013 09:45 AM - Dominic Cleal

- Subject changed from When crating a provisioning template it would be useful to be able to copy an existing one without cutting and pasting. to Add

feature to clone provisioning templates

- Assignee deleted (Ohad Levy)

#7 - 07/03/2014 12:49 PM - Stephen Benjamin

- Assignee set to Stephen Benjamin

#8 - 07/03/2014 06:04 PM - Stephen Benjamin

- Status changed from New to Ready For Testing

- Target version set to 1.8.1
PR https://github.com/theforeman/foreman/pull/1559

#9 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#10 - 07/16/2014 05:45 AM - Stephen Benjamin

- Related to Tracker #6631: Provisioning Template Improvements added

#11 - 07/16/2014 10:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1559 added

#12 - 07/17/2014 10:09 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

#13 - 07/21/2014 04:50 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#14 - 07/30/2014 08:32 AM - Stephen Benjamin

- Related to Feature #2297: Ability for admins to lock certain templates, hostgroups, and disk layouts from editing added
